// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class ClusterConfig
    {
        public readonly Outputs.ChunkConfig? Chunks;
        public readonly string? DeviceClass;
        public readonly string Name;
        public readonly int? Replicas;

        [OutputConstructor]
        private ClusterConfig(
            Outputs.ChunkConfig? chunks,

            string? deviceClass,

            string name,

            int? replicas)
        {
            Chunks = chunks;
            DeviceClass = deviceClass;
            Name = name;
            Replicas = replicas;
        }
    }
}
